:root,
:root[data-force-theme="light"] {
    --context-help-background-color: #3030ee;
    --context-help-foreground-color: #fff;
    --default-background-color: #fff;
    --default-foreground-color: #000;
    --default-selected-background-color: #4040ff;
    --default-selected-foreground-color: #fff;
    --disabled-foreground-color: #888;
    --default-hover-background-color: #508eef;
    --default-hover-foreground-color: #fff;
    --dialog-background-color: var(--default-background-color);
    --dialog-border-color: #888;
    --dialog-footer-background-color: var(--dialog-header-background-color);
    --dialog-header-background-color: rgb(200, 200, 200);
    --dialog-header-forground-color: var(--default-foreground-color);
    --tool-header-background-color-inactive: rgb(200, 200, 200);
    --tool-header-forground-color-inactive: var(--default-foreground-color);
    --tool-header-background-color-active: #00f;
    --tool-header-forground-color-active: #fff;
    --list-background-color: #f9f9f9;
    --list-disabled-foreground-color: #aaa;
    --list-disabled-hover-background-color: #888;
    --list-disabled-hover-foreground-color: #aaa;
    --list-foreground-color: #333;
    --list-hover-background-color: #508eef;
    --list-hover-foreground-color: #fff;
    --list-selected-background-color: #4040ff;
    --main-menu-bar-background-color: #adb5bf;
    --number-spinner-button-background-color: #fff;
    --number-spinner-button-fill-color: #fff;
    --number-spinner-button-hover-background-color: #ff0;
    --number-spinner-button-hover-fill-color: #000;
    --number-spinner-button-pressed-background-color: #ff0;
    --number-spinner-button-pressed-fill-color: #000;
    --popup-menu-background-color: #f9f9f9;
    --popup-menu-disabled-foreground-color: #aaa;
    --popup-menu-disabled-hover-background-color: #888;
    --popup-menu-disabled-hover-foreground-color: #aaa;
    --popup-menu-foreground-color: #333;
    --popup-menu-hover-background-color: #508eef;
    --popup-menu-hover-foreground-color: #fff;
    --popup-menu-selected-background-color: var(--default-selected-background-color);
    --popup-menu-selected-foreground-color: var(--default-selected-foreground-color);
    --primary-button-background-color: #4CAF50;
    --primary-button-foreground-color: var(--default-foreground-color);
    --primary-button-disabled-background-color: #80aa80;
    --primary-button-hover-background-color: #6CCF80;
    --secondary-button-background-color: #869095;
    --secondary-button-disabled-background-color: #80aa80;
    --secondary-button-foreground-color: #fff;
    --secondary-button-hover-background-color: #b4c6c9;
    --secondary-button-hover-foreground-color: #ff0;
    --separator-color: #333;
    --focus-border-color: #000;
    --shadow-color: rgba(0, 0, 0, 0.4);
    --table-header-background-color: rgb(200, 200, 200);
    --table-header-foreground-color: var(--default-foreground-color);
    --link-color: darkblue;
    --link-hover-color: blue;
}

/* duplicate this below for forced dark mode */
@media (prefers-color-scheme: dark) {
    :root {
        --context-help-background-color: #13135e;
        --context-help-foreground-color: #bbb;
        --default-background-color: #3c3f41;
        --default-foreground-color: #bbb;
        --default-selected-background-color: #4040ff;
        --default-selected-foreground-color: #fff;
        --disabled-foreground-color: #888;
        --default-hover-background-color: #266acf;
        --default-hover-foreground-color: #fff;
        --dialog-background-color: var(--default-background-color);
        --dialog-border-color: #bbb;
        --dialog-footer-background-color: var(--dialog-header-background-color);
        --dialog-header-background-color: rgb(41, 49, 53);
        --dialog-header-forground-color: var(--default-foreground-color);
        --tool-header-background-color-inactive: rgb(68, 68, 68);
        --tool-header-forground-color-inactive: var(--default-foreground-color);
        --tool-header-background-color-active: #00f;
        --tool-header-forground-color-active: #fff;
        --list-background-color: #3e434c;
        --list-disabled-foreground-color: #666;
        --list-disabled-hover-background-color: #555;
        --list-disabled-hover-foreground-color: #888;
        --list-foreground-color: #fff;
        --list-hover-background-color: #266acf;
        --list-hover-foreground-color: #fff;
        --list-selected-background-color: #4040ff;
        --main-menu-bar-background-color: #191c23;
        --number-spinner-button-background-color: var(--default-background-color);
        --number-spinner-button-fill-color: var(--default-background-color);
        --number-spinner-button-hover-background-color: var(--default-background-color);
        --number-spinner-button-hover-fill-color: #bbb;
        --number-spinner-button-pressed-background-color: var(--default-background-color);
        --number-spinner-button-pressed-fill-color: #000;
        --popup-menu-background-color: #3e434c;
        --popup-menu-disabled-foreground-color: #666;
        --popup-menu-disabled-hover-background-color: #555;
        --popup-menu-disabled-hover-foreground-color: #888;
        --popup-menu-foreground-color: #fff;
        --popup-menu-hover-background-color: #266acf;
        --popup-menu-hover-foreground-color: #fff;
        --popup-menu-selected-background-color: var(--default-selected-background-color);
        --popup-menu-selected-foreground-color: var(--default-selected-foreground-color);
        --primary-button-background-color: #4c5052;
        --primary-button-foreground-color: var(--default-foreground-color);
        --primary-button-disabled-background-color: #3c3f41;
        --primary-button-hover-background-color: #3f6b9c;
        --secondary-button-background-color: #596267;
        --secondary-button-disabled-background-color: #80aa80;
        --secondary-button-foreground-color: #bbb;
        --secondary-button-hover-background-color: #7b8bab;
        --secondary-button-hover-foreground-color: #ff0;
        --separator-color: #888;
        --focus-border-color: #000;
        --shadow-color: rgba(0, 0, 0, 0.4);
        --table-header-background-color: rgb(41, 49, 53);
        --table-header-foreground-color: var(--default-foreground-color);
        --link-color: #6873a0;
        --link-hover-color: #93a2e0;
    }
}

:root[data-force-theme="dark"] {
    --context-help-background-color: #13135e;
    --context-help-foreground-color: #bbb;
    --default-background-color: #3c3f41;
    --default-foreground-color: #bbb;
    --default-selected-background-color: #4040ff;
    --default-selected-foreground-color: #fff;
    --disabled-foreground-color: #888;
    --default-hover-background-color: #266acf;
    --default-hover-foreground-color: #fff;
    --dialog-background-color: var(--default-background-color);
    --dialog-border-color: #bbb;
    --dialog-footer-background-color: var(--dialog-header-background-color);
    --dialog-header-background-color: rgb(41, 49, 53);
    --dialog-header-forground-color: var(--default-foreground-color);
    --tool-header-background-color-inactive: rgb(68, 68, 68);
    --tool-header-forground-color-inactive: var(--default-foreground-color);
    --tool-header-background-color-active: #00f;
    --tool-header-forground-color-active: #fff;
    --list-background-color: #3e434c;
    --list-disabled-foreground-color: #666;
    --list-disabled-hover-background-color: #555;
    --list-disabled-hover-foreground-color: #888;
    --list-foreground-color: #fff;
    --list-hover-background-color: #266acf;
    --list-hover-foreground-color: #fff;
    --list-selected-background-color: #4040ff;
    --main-menu-bar-background-color: #191c23;
    --number-spinner-button-background-color: var(--default-background-color);
    --number-spinner-button-fill-color: var(--default-background-color);
    --number-spinner-button-hover-background-color: var(--default-background-color);
    --number-spinner-button-hover-fill-color: #bbb;
    --number-spinner-button-pressed-background-color: var(--default-background-color);
    --number-spinner-button-pressed-fill-color: #000;
    --popup-menu-background-color: #3e434c;
    --popup-menu-disabled-foreground-color: #666;
    --popup-menu-disabled-hover-background-color: #555;
    --popup-menu-disabled-hover-foreground-color: #888;
    --popup-menu-foreground-color: #fff;
    --popup-menu-hover-background-color: #266acf;
    --popup-menu-hover-foreground-color: #fff;
    --popup-menu-selected-background-color: var(--default-selected-background-color);
    --popup-menu-selected-foreground-color: var(--default-selected-foreground-color);
    --primary-button-background-color: #4c5052;
    --primary-button-foreground-color: var(--default-foreground-color);
    --primary-button-disabled-background-color: #3c3f41;
    --primary-button-hover-background-color: #3f6b9c;
    --secondary-button-background-color: #596267;
    --secondary-button-disabled-background-color: #80aa80;
    --secondary-button-foreground-color: #bbb;
    --secondary-button-hover-background-color: #7b8bab;
    --secondary-button-hover-foreground-color: #ff0;
    --separator-color: #888;
    --focus-border-color: #000;
    --shadow-color: rgba(0, 0, 0, 0.4);
    --table-header-background-color: rgb(41, 49, 53);
    --table-header-foreground-color: var(--default-foreground-color);
    --link-color: #6873a0;
    --link-hover-color: #93a2e0;
}

/* Stuff needed for buttons and dialogs */
svg {
    fill: none;
    vertical-align: top; /* without that SVGs smaller than 14px height will be mis-aligned */
    stroke: var(--default-foreground-color);
}

body {
    margin: 0;
    font-family: Arial, Helvetica, sans-serif;
    color: var(--default-foreground-color);
    background-color: var(--default-background-color);
}

.spa {
    height: 100vh;
    margin: 0;
    padding: 0;
    overflow: hidden;
    min-height: 10px; /* firefox */
}

article {
    padding: 20px;
}

a {
    color: var(--link-color);
}

body:not(.no-hover) a:hover {
    color: var(--link-hover-color);
}

/* Dialogs */

.modal-open {
    overflow: hidden;
}

.eni-dialog-header {
    flex: 0 0 auto;
    padding: 10px;
    background-color: var(--dialog-header-background-color);
}

.scrollable {
    overflow: auto;
}

.eni-dialog-content {
    overflow: auto;
    flex: 1 1 auto;
    display: flex;
    position: relative;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 10px;
}

.eni-dialog-footer {
    flex: 0 0 auto;
    background-color: var(--dialog-footer-background-color);
}

.eni-modal {
    display: none;
    position: fixed;
    z-index: 100;
    left: 0;
    top: 0;
    width: 100vw;
    height: 100vh;
    overflow: hidden;
    background-color: var(--shadow-color);
    align-items: center;
    justify-content: center;
}

.eni-dialog {
    display: flex;
    flex-direction: column;
    padding: 0;
    overflow: hidden;
    border: 1px solid var(--dialog-border-color);
    background-color: var(--dialog-background-color);
    box-shadow: 5px 5px 3px var(--shadow-color);
    border-radius: 5px;
    max-height: calc(100% - 200px);
    max-width: calc(100% - 100px);
}

.toast {
    position: fixed;
    display: flex;
    flex-direction: column;
    padding: 0;
    overflow: hidden;
    border: 1px solid var(--dialog-border-color);
    background-color: var(--dialog-background-color);
    box-shadow: 5px 5px 3px var(--shadow-color);
    min-width: 50px;
    min-height: 20px;
    left: 50px;
    bottom: 0;
    opacity: 0;
    transition: bottom 0.5s ease-in, opacity 0.5s ease-in;
}

.tab-container {
    display: flex;
    flex-direction: column;
    padding: 0;
    overflow: hidden;
}

.tab-header {
    vertical-align: bottom;
    flex: 0 0 auto;
    height: 41px;
    white-space: nowrap;
    overflow: hidden;
    display: flex;
    flex-direction: row;
}

.tabs-container {
    position: relative;
    flex: 1 1 auto;
    overflow: hidden;
}

.tabs-panel {
    position: relative;
    left: 0;
    transition: left 0.2s ease-in;
}

.tab-content {
    overflow: auto;
    flex: 1 1 auto;
    position: relative;
}

.tabs-button {
    flex: 0 0 auto;
}

.tab {
    top: 4px;
    vertical-align: middle;
    padding: 5px;
    height: 25px;
    position: relative;
    display: inline-block;
    border-top: 1px solid var(--dialog-border-color);
    border-top-left-radius: 4px;
    border-top-right-radius: 4px;
    border-left: 1px solid var(--dialog-border-color);
    border-right: 1px solid var(--dialog-border-color);
    transition: all 0.1s;
    cursor: pointer;
}

.tab.selected {
    top: 1px;
    height: 29px;
    background-color: var(--default-selected-background-color);
    color: var(--default-selected-foreground-color);
}

.tab.selected svg {
    stroke: var(--default-selected-foreground-color);
}

body:not(.no-hover) .tab:hover {
    background-color: var(--default-hover-background-color);
    color: var(--default-hover-foreground-color);
}

body:not(.no-hover) .tab:hover svg {
    stroke: var(--default-hover-foreground-color);
}

/* Pop-up menu */
.popup-blanket {
    position: fixed;
    left: 0;
    top: 0;
    width: 100vw;
    height: 100vh;
    z-index: 100;
    overflow: hidden;
}

.popup-menu {
    background-color: var(--popup-menu-background-color);
    box-shadow: 5px 5px 3px var(--shadow-color);
    position: absolute;
    max-width: 80vw;
    max-height: 80vh;
    overflow: auto;
    min-width: 20px;
    min-height: 20px;
    padding: 3px;
}

.popup-menu > div, .popup-menu > a > div {
    padding: 12px 16px;
}

.popup-menu.dense > div, .popup-menu.dense > a > div {
    padding: 1px 5px;
}

.popup-menu-entry {
    color: var(--popup-menu-foreground-color);
    text-decoration: none;
    display: block;
    text-align: left;
    cursor: pointer;
}

.popup-menu-entry.disabled {
    color: var(--popup-menu-disabled-foreground-color);
    cursor: not-allowed;
}

body:not(.no-hover) .popup-menu-entry.disabled:hover {
    color: var(--popup-menu-disabled-hover-foreground-color);
    background-color: var(--popup-menu-disabled-hover-background-color);
}

.popup-menu-entry.separator:hover,
.popup-menu-entry.separator,
.popup-menu.dense > .popup-menu-entry.separator {
    border-bottom: 1px solid var(--popup-menu-disabled-foreground-color);
    margin-top: 5px;
    margin-bottom: 5px;
    padding: 0;
}

.popup-menu-entry .key-hint {
    border: 1px solid var(--popup-menu-disabled-foreground-color);
    margin-left: 1em;
    padding: 2px;
    vertical-align: middle;
    float: right;
}

.popup-menu-entry > * {
    vertical-align: middle;
}

body:not(.no-hover) .popup-menu-entry:hover {
    background: var(--popup-menu-hover-background-color);
    color: var(--popup-menu-hover-foreground-color);
}

body:not(.no-hover) .popup-menu-entry:hover svg {
    stroke: var(--popup-menu-hover-foreground-color);
}

.popup-menu-entry.selected {
    background: var(--popup-menu-selected-background-color);
    color: white;
}

/* default button */
input[type=submit]:disabled,
button:disabled {
    background-color: var(--primary-button-disabled-background-color);
    cursor: not-allowed;
}

body:not(.no-hover) input[type=submit]:disabled:hover,
body:not(.no-hover) button:disabled:hover {
    background-color: var(--primary-button-disabled-background-color);
    cursor: not-allowed;
}

input[type=submit],
.button,
button {
    transition-duration: 0.2s;
    background-color: var(--primary-button-background-color);
    border: none;
    color: var(--primary-button-foreground-color);;
    padding: 10px 18px;
    margin: 2px;
    text-align: center;
    text-decoration: none;
    vertical-align: middle;
    display: inline-block;
    min-width: 8em;
    font-size: 16px;
    line-height: 25px;
    cursor: default;
}

input[type=submit],
.button,
button > * {
    vertical-align: middle;
}

body:not(.no-hover) .button:hover,
body:not(.no-hover) button:hover {
    background-color: var(--primary-button-hover-background-color);
    color: var(--default-foreground-color);
    box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.16), 0 2px 10px 0 rgba(0, 0, 0, 0.12);
}

button.small {
    font-size: 11px;
    padding: 8px 10px;
}

.button.secondary,
button.secondary {
    transition-duration: 0.2s;
    background-color: var(--secondary-button-background-color);
    color: var(--secondary-button-foreground-color);
    border: none;
    padding: 5px 5px;
    margin: 2px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    min-width: 20px;
    font-size: 10px;
    line-height: unset;
}

body:not(.no-hover) .button.secondary:hover,
body:not(.no-hover) button.secondary:hover {
    background-color: var(--secondary-button-hover-background-color);
    color: var(--secondary-button-hover-foreground-color);
    box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.16), 0 2px 10px 0 rgba(0, 0, 0, 0.12);
}

.button.colorselector,
button.colorselector {
    transition-duration: 0.2s;
    background-color: var(--secondary-button-background-color);
    border: 1px solid var(--separator-color);
    border-radius: 4px;
    padding: 7px 7px;
    display: inline-block;
    width: 60px;
    height: 30px;
}

body:not(.no-hover) .button.colorselector:hover,
body:not(.no-hover) button.colorselector:hover {
    background-color: var(--secondary-button-hover-background-color);
    box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.16), 0 2px 10px 0 rgba(0, 0, 0, 0.12);
}

.right {
    float: right;
}


label,
label > span {
    font-weight: 700;
    font-size: smaller;
    display: block;
}

.inline {
    display: inline;
}

/* Checkbox */

.checkbox input[type=checkbox] {
    visibility: hidden;
}

.checkbox {
    min-width: 25px;
    margin: 10px 10px;
    position: relative;
    display: inline-block;
}

.checkbox label {
    cursor: pointer;
    position: absolute;
    min-width: 25px;
    min-height: 25px;
    top: 0;
    left: 0;
    background: #eee;
    border: 1px solid #ddd;
}

.checkbox label > span {
    cursor: pointer;
    position: absolute;
    vertical-align: middle;
    top: 0;
    font-size: 25px;
    line-height: 25px;
    left: 35px;
    /*width: 300px;*/
}

.checkbox label:after {
    opacity: 0;
    content: '';
    position: absolute;
    width: 9px;
    height: 5px;
    background: transparent;
    top: 6px;
    left: 7px;
    border: 3px solid #333;
    border-top: none;
    border-right: none;
    transform: rotate(-45deg);
}

.checkbox input[type=checkbox]:checked + label:after {
    opacity: 1;
}

.svg-checkbox {
    vertical-align: middle;
    line-height: 25px;
}

/* input fields */
select,
input {
    box-sizing: border-box;
    font-size: 12px;
    padding: 4px 4px;
    margin: 2px 2px 2px 2px;
    width: 150px;
}

input[type=file] {
    width: 300px;
}

.number-spinner-wrapper {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: row;
}

.number-spinner-wrapper .up-down-wrapper {
    display: flex;
    overflow: hidden;
    flex-direction: column;
    height: 24px;
    width: 12px;
}

.number-spinner-wrapper input {
    width: 100px;
    margin-right: 0;
}

.number-spinner-wrapper.small input {
    width: 70px;
}

.number-spinner-wrapper.smaller input {
    width: 50px;
}

.number-spinner-button {
    display: inline-block;
    cursor: default;
    width: 20px;
    height: 20px;
}

.number-spinner-button.up-down {
    width: 12px;
    height: 12px;
    overflow: hidden;
}

.unit-selector {
    display: inline-block;
    cursor: default;
    min-width: 20px;
    height: 20px;
}

body:not(.no-hover) .unit-selector:hover {
    background-color: var(--number-spinner-button-hover-background-color);
}

.number-spinner-button {
    background-color: var(--number-spinner-button-background-color);
}

body:not(.no-hover) .number-spinner-button:hover {
    background-color: var(--number-spinner-button-hover-background-color);
}

.number-spinner-button.pressed,
.number-spinner-button.pressed:hover {
    background-color: var(--number-spinner-button-pressed-background-color);
}

.number-spinner-button.pressed:hover svg,
.number-spinner-button.pressed svg {
    fill: var(--number-spinner-button-pressed-fill-color);
}

.number-spinner-button svg {
    fill: var(--number-spinner-button-fill-color);
}

body:not(.no-hover) .number-spinner-button:hover svg {
    fill: var(--number-spinner-button-hover-fill-color);
}

.number-spinner-button .icon-small {
    width: 100%;
    height: 100%;
    position: relative;
    display: inline-block;
}

.arrow {
    border: solid var(--default-foreground-color);
    border-width: 0 3px 3px 0;
    display: inline-block;
    padding: 3px;
    position: relative;
    top: -2px;
    margin-left: 5px;
    margin-right: 5px;
    transition-duration: 0.5s;
}

.arrow.arrow-right {
    transform: rotate(-45deg);
}

.arrow.arrow-left {
    transform: rotate(135deg);
}

.arrow.arrow-up {
    transform: rotate(-135deg);
}

.arrow.arrow-down {
    transform: rotate(45deg);
}


/* Generic page structure */

.icon-small {
    width: 25px;
    height: 25px;
    position: relative;
    display: inline-block;
}

.card {
    padding: 10px;
    box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.30), 0 2px 10px 0 rgba(0, 0, 0, 0.40);
    margin-bottom: 20px;
}

.page-body {
    display: flex;
    flex-direction: column;
    height: 100%;
}

.fixed-page-header {
    flex: 0 0 auto;
    padding: 0;
    box-shadow: 0 0 10px 2px #000;
    z-index: 2;
    display: flex;
    width: 100%;
    margin: 0;
    align-items: center;
}

.header-main {
    flex: 1 1 auto;
    display: flex;
    align-items: center;
}

.header-entry {
    display: inline-flex;
    align-items: center;
}

.page-icon {
    width: 28px;
    height: 28px;
    flex: 0 0 auto;
    margin: 5px;
}

.icon-small-height {
    height: 28px;
}

.language-selector {
    flex: 0 0 auto;
    padding: 5px;
}

.agb-footer {
    font-size: xx-small;
    display: flex;
    flex: 0 0 auto;
    align-content: center;
    align-items: center;
    justify-content: center;
    box-shadow: 0 0 10px 2px #000;
    z-index: 2;
}

.language-selector > div {
    padding-right: 3px;
}

.page-content {
    flex: 1 1 auto;
    overflow-y: auto;
    padding-top: 10px;
    position: relative;
}

.main-menu-bar {
    cursor: default;
    background-color: var(--main-menu-bar-background-color);
}

.main-menu-entry {
    display: inline-block;
    cursor: default;
    min-width: 20px;
    height: 40px;
    line-height: 40px;
    padding-left: 5px;
    padding-right: 5px;
    vertical-align: top;
}

body:not(.no-hover) .main-menu-entry:hover {
    background-color: var(--popup-menu-hover-background-color);
}

table {
    border-collapse: collapse;
    margin: 0;
    padding: 0;
}

td, th {
    vertical-align: middle;
    border: 1px solid var(--separator-color);
    text-align: left;
    padding: 7px;
}

th.sticky {
    background: var(--table-header-background-color);
    border-top: 0;
    scroll-padding: 5em;
    position: sticky;
    z-index: 10;
    top: 0;
}

.disabled {
    color: var(--disabled-foreground-color);
}

.disabled svg {
    stroke: var(--disabled-foreground-color);
}

.left {
    text-align: left;
}

.right {
    text-align: right;
}

.center {
    text-align: center;
}

.space-right {
    margin-right: 5px;
}

/*list */
.list {
    background-color: var(--list-background-color);
    border: 1px solid var(--separator-color);
}

.list-entry {
    color: var(--list-foreground-color);
    /*padding: 12px 16px;*/
    text-decoration: none;
    /*display: block;*/
    text-align: left;
    cursor: pointer;
    border: 1px solid transparent;
}

.list-entry svg {
    stroke: var(--list-foreground-color);
}

.list-entry.disabled {
    color: var(--list-disabled-foreground-color);
}

.list-entry.disabled svg {
    stroke: var(--list-disabled-foreground-color);
}

body:not(.no-hover) .list-entry.disabled:hover {
    color: var(--list-disabled-hover-foreground-color);
    background-color: var(--list-disabled-hover-background-color);
}

body:not(.no-hover) .list-entry.disabled:hover svg {
    stroke: var(--list-disabled-hover-foreground-color);
}

.list-entry > * {
    vertical-align: middle;
}

body:not(.no-hover) .list-entry:hover {
    background: var(--list-hover-background-color);
    color: var(--list-hover-foreground-color);
}

body:not(.no-hover) .list-entry:hover svg {
    stroke: var(--list-hover-foreground-color);
}

.list-entry.selected {
    background: var(--list-selected-background-color);
    color: white;
}

.list-entry.selected svg {
    stroke: white;
}

.list-entry.focused {
    border: 1px dotted var(--focus-border-color);
}

.top-content-bottom {
    display: flex;
    overflow: hidden;
    flex-direction: column;
    width: 100%;
    height: 100%;
    background-color: var(--default-background-color); /* for fullscreen */
}

.left-content-right {
    display: flex;
    overflow: hidden;
    flex-direction: row;
    width: 100%;
    background-color: var(--default-background-color); /* for fullscreen */
}

.left-content-right.center,
.top-content-bottom.center {
    align-items: center;
}

.left-content-right.scrollable,
.top-content-bottom.scrollable {
    overflow:auto;
}

.left-content-right.overflow,
.top-content-bottom.overflow {
    overflow:visible;
}

.top-content-bottom .top,
.left-content-right .left,
.top-content-bottom .bottom,
.left-content-right .right {
    flex: 0 0 auto;
}

.top-content-bottom .content,
.left-content-right .content {
    display: flex;
    flex: 1;
    min-height: 10px; /* firefox */
}

.clickable {
    cursor: pointer;
}

.column {
    flex-direction: column;
}

.external {
    background-image: url('data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHdpZHRoPSIxNyIgaGVpZ2h0PSIxNyIgdmlld0JveD0iMCAwIDEwMCAxMDAiPjxwYXRoIHN0cm9rZS13aWR0aD0iMTAiIGZpbGw9Im5vbmUiIHN0cm9rZT0iIzM2YyIgZD0iTTQ3IDMySDEyLjNWODdINjUuN1Y1ME00MSAxOCA4OCAxMC42IDc5LjYgNTcuNCA2OS4zIDQ2LjcgNDcuMyA2Ny4yIDMwIDUwIDUwIDI5WiIvPjwvc3ZnPg==');
    background-position: center right;
    background-repeat: no-repeat;
    padding-right: 18px;
}

.border-bottom {
    border-bottom: 1px solid var(--separator-color);
}

.border-top {
    border-top: 1px solid var(--separator-color);
}

.page-footer {
    background: var(--main-menu-bar-background-color);
}

.focusable {
    border: 2px solid var(--separator-color)
}

.focusable:focus {
    border: 2px solid var(--focus-border-color)
}

.space-top {
    margin-top: 10px;
}

.space-left {
    margin-left: 10px;
}

.space-right {
    margin-right: 10px;
}
.space-bottom {
     margin-bottom: 10px;
 }

